Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging
Class EndpointConfiguration

    java.lang.Object
      com.sun.messaging.EndpointConfiguration

public class EndpointConfiguration
extends Object

The `EndpointConfiguration` class contains Sun MQ specific destination identity configuration property names and values.

See Also:
  `com.sun.messaging.Endpoint`

Field Summary
`static String` | `IMQ_INITIAL_ENDPOINT_DESCRIPTION` The default description initially given to a `Endpoint` object upon instantiation.
`static String` | `IMQ_INITIAL_ENDPOINT_NAME` The default name initially given to an `Endpoint` object upon instantiation.
`static String` | `imqEndpointDescription` The property name that holds a description given to the `Endpoint` object.
`static String` | `imqEndpointName` The property name that holds the name assigned to the `Endpoint` object.
`static String` | `imqSOAPEndpointList` The property name that holds the SOAP Endpoint(s) encapsulated in this `Endpoint` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imqEndpointName

    public static final String imqEndpointName

  The property name that holds the name assigned to the `Endpoint` object.

  See Also:
    Constant Field Values

### imqEndpointDescription

    public static final String imqEndpointDescription

  The property name that holds a description given to the `Endpoint` object.

  See Also:
    Constant Field Values

### imqSOAPEndpointList

    public static final String imqSOAPEndpointList

  The property name that holds the SOAP Endpoint(s) encapsulated in this `Endpoint` object.

  See Also:
    Constant Field Values

### IMQ_INITIAL_ENDPOINT_NAME

    public static final String IMQ_INITIAL_ENDPOINT_NAME

  The default name initially given to an `Endpoint` object upon instantiation. Typically, either the administrator or programmer will assign a name for this `Endpoint` object.

  See Also:
    `com.sun.messaging.Endpoint`, Constant Field Values

### IMQ_INITIAL_ENDPOINT_DESCRIPTION

    public static final String IMQ_INITIAL_ENDPOINT_DESCRIPTION

  The default description initially given to a `Endpoint` object upon instantiation. Typically, either the administrator or programmer will set a meaningful description for this `Endpoint` object.

  See Also:
    `com.sun.messaging.Endpoint`, Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.